org.hibernate.search.query.dsl.impl

## Class RemoteSimpleQueryStringQuery.Builder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.RemoteSimpleQueryStringQuery.Builder

- Enclosing class:
    RemoteSimpleQueryStringQuery

      public static class RemoteSimpleQueryStringQuery.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteSimpleQueryStringQuery` | `build()`
    `RemoteSimpleQueryStringQuery.Builder` | `field(String name, float boost)`
    `RemoteSimpleQueryStringQuery.Builder` | `originalRemoteAnalyzerReference(RemoteAnalyzerReference originalRemoteAnalyzerReference)`
    `RemoteSimpleQueryStringQuery.Builder` | `query(String query)`
    `RemoteSimpleQueryStringQuery.Builder` | `queryRemoteAnalyzerReference(RemoteAnalyzerReference queryRemoteAnalyzerReference)`
    `RemoteSimpleQueryStringQuery.Builder` | `withAndAsDefaultOperator(boolean withAndAsDefaultOperator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### query

          public RemoteSimpleQueryStringQuery.Builder query(String query)

    - #### field

          public RemoteSimpleQueryStringQuery.Builder field(String name,
                                                            float boost)

    - #### withAndAsDefaultOperator

          public RemoteSimpleQueryStringQuery.Builder withAndAsDefaultOperator(boolean withAndAsDefaultOperator)

    - #### originalRemoteAnalyzerReference

          public RemoteSimpleQueryStringQuery.Builder originalRemoteAnalyzerReference(RemoteAnalyzerReference originalRemoteAnalyzerReference)

    - #### queryRemoteAnalyzerReference

          public RemoteSimpleQueryStringQuery.Builder queryRemoteAnalyzerReference(RemoteAnalyzerReference queryRemoteAnalyzerReference)

    - #### build

          public RemoteSimpleQueryStringQuery build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved